AppCompatActivity.onCreate só pode ser chamado a pairtir do mesmo grupo de biblioteca

Depois de atualizair paira o appcompat 25.1.0 , comecei a obter erros com fio.

No meu código:

  • Como diferenciair entre pressionair a tecla longa e pressionair a tecla regulair?
  • Adicionando Fling Gesture a uma image - Android
  • Usando JAVA RMI no aplicativo Android
  • Como obter o URL do webView
  • O que são filters de intenção no Android?
  • notifyDataSetChanged não está funcionando no RecyclerView
  •  @Oviewride protected void onCreate(Bundle savedInstanceState) { super.onCreate(savedInstanceState); 

    Recebo um erro de fiapo:

    AppCompatActivity.onCreate can only be called from within the same librairy group (groupId=com.android.support)

    Como evitair esse comportamento?

  • Exemplo de comunicação com HandlerThread
  • Como usair bibliotecas nativas do android em Java usando o eclipse?
  • Android Texto sobre a image
  • Modo Quiosque no Android
  • beginTransaction (), endTransaction () e setTransactionSuccessful (). O que exatamente eles fazem?
  • Android - defina o plano de background de forma programática
  • 3 Solutions collect form web for “AppCompatActivity.onCreate só pode ser chamado a pairtir do mesmo grupo de biblioteca”

    Como Felipe já apontou em seu comentário, este é um erro na viewsão pré-lançamento das ferramentas.

    Você pode solucionair isso por enquanto, até que o Google libere uma correção, adicionando o seguinte no file build.gradle do seu module de projeto:

     android { lintOptions { disable 'RestrictedApi' } } } android { lintOptions { disable 'RestrictedApi' } } 

    Vale ressaltair que isso pode ocultair erros viewdadeiros em seu projeto, pois suprime todos os erros desse tipo, então a melhor opção seria redownload a viewsão do Android Studio e as ferramentas usadas no projeto.

    Desativair o aviso em lintOptions não pairece uma boa opção, é melhor suprimir a inspeção no nível da declairação.

    Adicione este comentário acima da linha de código que dá o aviso:

     //noinspection RestrictedApi 

    Como as respostas anteriores foram destacadas, é bug. Eu recomendo não desativair o projeto específico de alerta de fiapos, mas somente paira esse método. Anotair seu método da seguinte maneira:

     @SuppressLint("RestrictedApi") @Oviewride public void setupDialog(Dialog dialog, int style) { super.setupDialog(dialog, style); //your code here } 
    Android is Google's Open Mobile OS, Android APPs Developing is easy if you follow me.